CRAN Package Check Results for Package dplyr

Last updated on 2024-04-22 17:56:47 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.1.4 25.73 383.61 409.34 OK
r-devel-linux-x86_64-debian-gcc 1.1.4 21.74 267.18 288.92 OK
r-devel-linux-x86_64-fedora-clang 1.1.4 537.97 NOTE
r-devel-linux-x86_64-fedora-gcc 1.1.4 520.71 NOTE
r-prerel-macos-arm64 1.1.4 137.00 OK
r-prerel-windows-x86_64 1.1.4 30.00 297.00 327.00 OK
r-patched-linux-x86_64 1.1.4 30.84 347.62 378.46 OK
r-release-linux-x86_64 1.1.4 27.12 361.44 388.56 OK
r-release-macos-arm64 1.1.4 136.00 OK
r-release-macos-x86_64 1.1.4 480.00 OK
r-release-windows-x86_64 1.1.4 2.00 6.00 8.00 OK
r-oldrel-macos-arm64 1.1.4 131.00 OK
r-oldrel-windows-x86_64 1.1.4 2.00 12.00 14.00 ERROR

Check Details

Version: 1.1.4
Check: data for non-ASCII characters
Result: NOTE Note: found 4 marked UTF-8 strings Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 1.1.4
Check: compiled code
Result: NOTE File ‘dplyr/libs/dplyr.so’: Found non-API calls to R: ‘SET_PRCODE’, ‘SET_PRENV’, ‘SET_PRVALUE’ Compiled code should not call non-API entry points in R. See ‘Writing portable packages’ in the ‘Writing R Extensions’ manual. Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 1.1.4
Check: whether package can be installed
Result: ERROR Installation failed. Flavor: r-oldrel-windows-x86_64